API Keys
GET
organization_id*stringlimit?integerPage size (1-100)
Format
int64Range
1 <= value <= 100Default
20cursor?stringOpaque cursor from meta.nextCursor
includeTotal?booleanSet false to omit meta.total
Default
trueOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
Format
uridata*array<>|nullmeta*curl -X GET 'https://example.com/api/v1/organizations/string/api-keys'Example Response
{ "$schema": "https://example.com/schemas/PageAPIKey.json", "data": [ { "$schema": "https://example.com/schemas/APIKey.json", "allowedOrigins": [ "string" ], "capabilities": [ "string" ], "createdAt": "2019-08-24T14:15:22Z", "createdBy": "string", "expiresAt": "2019-08-24T14:15:22Z", "id": "string", "lastUsedAt": "2019-08-24T14:15:22Z", "lastUsedIp": "string", "name": "string", "organizationId": "string", "prefix": "string", "revokedAt": "2019-08-24T14:15:22Z", "scopeId": "string", "scopeType": "string", "status": "string", "updatedAt": "2019-08-24T14:15:22Z", "updatedBy": "string" } ], "meta": { "hasMore": true, "limit": 0, "nextCursor": "string", "total": 0 }}POST
organization_id*stringapplication/json- body
allowedOrigins?array<string>|nullcapabilities*array<string>|nullexpiresAt?stringFormat
date-timename*stringscopeId?stringscopeType?stringOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
Format
uriapiKey*secret*stringcurl -X POST 'https://example.com/api/v1/organizations/string/api-keys' \ -H 'Content-Type: application/json' \ -d '{ "capabilities": [ "string" ], "name": "string"}'Example Response
{ "$schema": "https://example.com/schemas/APIKeyWithSecret.json", "apiKey": { "$schema": "https://example.com/schemas/APIKey.json", "allowedOrigins": [ "string" ], "capabilities": [ "string" ], "createdAt": "2019-08-24T14:15:22Z", "createdBy": "string", "expiresAt": "2019-08-24T14:15:22Z", "id": "string", "lastUsedAt": "2019-08-24T14:15:22Z", "lastUsedIp": "string", "name": "string", "organizationId": "string", "prefix": "string", "revokedAt": "2019-08-24T14:15:22Z", "scopeId": "string", "scopeType": "string", "status": "string", "updatedAt": "2019-08-24T14:15:22Z", "updatedBy": "string" }, "secret": "string"}GET
organization_id*stringapi_key_id*stringOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
Format
uriallowedOrigins*array<string>|nullcapabilities*array<string>|nullcreatedAt*stringFormat
date-timecreatedBy?stringexpiresAt?stringFormat
date-timeid*stringlastUsedAt?stringFormat
date-timelastUsedIp?stringname*stringorganizationId*stringprefix*stringrevokedAt?stringFormat
date-timescopeId*stringscopeType*stringstatus*stringupdatedAt*stringFormat
date-timeupdatedBy?stringcurl -X GET 'https://example.com/api/v1/organizations/string/api-keys/string'Example Response
{ "$schema": "https://example.com/schemas/APIKey.json", "allowedOrigins": [ "string" ], "capabilities": [ "string" ], "createdAt": "2019-08-24T14:15:22Z", "createdBy": "string", "expiresAt": "2019-08-24T14:15:22Z", "id": "string", "lastUsedAt": "2019-08-24T14:15:22Z", "lastUsedIp": "string", "name": "string", "organizationId": "string", "prefix": "string", "revokedAt": "2019-08-24T14:15:22Z", "scopeId": "string", "scopeType": "string", "status": "string", "updatedAt": "2019-08-24T14:15:22Z", "updatedBy": "string"}PATCH
organization_id*stringapi_key_id*stringapplication/json- body
allowedOrigins?array<string>capabilities?array<string>|nullclearExpiry?booleanexpiresAt?stringFormat
date-timename?stringscopeId?stringscopeType?stringOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
Format
uriallowedOrigins*array<string>|nullcapabilities*array<string>|nullcreatedAt*stringFormat
date-timecreatedBy?stringexpiresAt?stringFormat
date-timeid*stringlastUsedAt?stringFormat
date-timelastUsedIp?stringname*stringorganizationId*stringprefix*stringrevokedAt?stringFormat
date-timescopeId*stringscopeType*stringstatus*stringupdatedAt*stringFormat
date-timeupdatedBy?stringcurl -X PATCH 'https://example.com/api/v1/organizations/string/api-keys/string' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "$schema": "https://example.com/schemas/APIKey.json", "allowedOrigins": [ "string" ], "capabilities": [ "string" ], "createdAt": "2019-08-24T14:15:22Z", "createdBy": "string", "expiresAt": "2019-08-24T14:15:22Z", "id": "string", "lastUsedAt": "2019-08-24T14:15:22Z", "lastUsedIp": "string", "name": "string", "organizationId": "string", "prefix": "string", "revokedAt": "2019-08-24T14:15:22Z", "scopeId": "string", "scopeType": "string", "status": "string", "updatedAt": "2019-08-24T14:15:22Z", "updatedBy": "string"}POST
organization_id*stringapi_key_id*stringNo Content
curl -X POST 'https://example.com/api/v1/organizations/string/api-keys/string/revoke'Example Response
Empty
POST
organization_id*stringapi_key_id*stringOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
Format
uriapiKey*secret*stringcurl -X POST 'https://example.com/api/v1/organizations/string/api-keys/string/roll'Example Response
{ "$schema": "https://example.com/schemas/APIKeyWithSecret.json", "apiKey": { "$schema": "https://example.com/schemas/APIKey.json", "allowedOrigins": [ "string" ], "capabilities": [ "string" ], "createdAt": "2019-08-24T14:15:22Z", "createdBy": "string", "expiresAt": "2019-08-24T14:15:22Z", "id": "string", "lastUsedAt": "2019-08-24T14:15:22Z", "lastUsedIp": "string", "name": "string", "organizationId": "string", "prefix": "string", "revokedAt": "2019-08-24T14:15:22Z", "scopeId": "string", "scopeType": "string", "status": "string", "updatedAt": "2019-08-24T14:15:22Z", "updatedBy": "string" }, "secret": "string"}